<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
            rel="stylesheet"
            href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
            integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
            crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
        .password-form {
            display: flex;
            flex-direction: column;
        }
        .input-wrapper {
            position: relative;
            width: intrinsic;
            width: -moz-max-content;
            width: -webkit-max-content;
        }

        .input-wrapper input {
            min-width: 120px;
            padding: 10px;
            margin-bottom: 24px;
        }

        .input-wrapper i {
            position: absolute;
            right: 10px;
            top: 12px;
            color: grey;
        }

        .btn{
            width: 150px;
        }
        .hidden {
            display: none;
        }
        p {
            color: red;
        }
        .active {
            color: green;
            font-size: 24px;
        }


    </style>
</head>
<body>
<form class="password-form" action="#" type="POST">
    <label class="input-wrapper">
        Ввести пароль
        <input id="inputstart" type="password"/>
        <i id="startEye" class="fas fa-eye icon-password"></i>
    </label>
    <label class="input-wrapper">
        Подтвердить пароль
        <input id="inputverification" type="password"/>
        <i id="verificationEye" class="fas fa-eye icon-password"></i>
    </label>
    <button id="buttonVerification"type="submit" class="btn">Подтвердить</button>
    <p class="hidden" id="hidden">Треба ввести одинакові значення</p>
    <p class="hidden active" id="active">You are Welcome</p>
</form>
</body>
<script>
    let input = document.getElementById('inputstart');
    let type = input.getAttribute('type');
    let hidden = document.getElementById('hidden');
   startEye.onclick = function () {
        if (document.getElementById('inputstart').getAttribute('type') === 'password'){
            document.getElementById('inputstart').setAttribute('type', 'text');
            startEye.classList.remove('fa-eye');
            startEye.classList.add('fa-eye-slash');
        } else {
            document.getElementById('inputstart').setAttribute('type', 'password');
            startEye.classList.add('fa-eye');
            startEye.classList.remove('fa-eye-slash');
        }
   };
    verificationEye.onclick = function () {
        if (document.getElementById('inputverification').getAttribute('type') === 'password'){
            document.getElementById('inputverification').setAttribute('type', 'text');
            verificationEye.classList.remove('fa-eye');
            verificationEye.classList.add('fa-eye-slash');
        } else {
            document.getElementById('inputverification').setAttribute('type', 'password');
            verificationEye.classList.add('fa-eye');
            verificationEye.classList.remove('fa-eye-slash');
        }
    };
    buttonVerification.onclick = function () {
        if(inputstart.value === inputverification.value && (inputstart.value !== '' && inputverification.value !== '')) {
            hidden.classList.add('hidden');
            // something
            active.classList.remove('hidden');
        }
        else {
            hidden.classList.remove('hidden');
            active.classList.add('hidden');
        }
    }
</script>
</html>

